package com.example.wholeestate.controller;

import com.example.wholeestate.common.base.BaseController;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.service.ICustomerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpSession;

@RestController
@RequestMapping("/")
@Api(value = "微信小程序 用户 API", description = "微信小程序 用户 API")
public class WxUserController extends BaseController {
    

    @Autowired
    private ICustomerService iCustomerService;

    @RequestMapping(value = "/wx/registered", method = RequestMethod.POST)
    @ApiOperation(value = "注册用户", notes = "注册用户")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "body", dataTypeClass = String.class, name = "parameter", value = "customerName用户姓名;name昵称;phone手机号;idNum证件号码;openid标记;uuid标记;avatar头像;")
    })
    public ResponseBean registeredCustomer(@RequestBody String parameter) {
        ResponseBean responseBean = new ResponseBean();
        responseBean = iCustomerService.registeredCustomer(parameter);
        return responseBean;
    }

    @RequestMapping(value = "/wx/user", method = RequestMethod.PUT)
    @ApiOperation(value = "更新用户", notes = "更新用户")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "body", dataTypeClass = String.class, name = "parameter", value = "customerId 用户ID;customerName用户姓名;name昵称;phone手机号;idNum证件号码;openid标记;uuid标记;avatar头像;")
    })
    public ResponseBean updateCustomer(@RequestBody String parameter) {
        return iCustomerService.updateCustomer(parameter);
    }

    @RequestMapping(value = "/wx/info/{openid}", method = RequestMethod.GET)
    @ApiOperation(value = "获取微信小程序用户信息", notes = "获取微信小程序用户信息")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", dataTypeClass = String.class, name = "openid", value = "openid")
    })
    public ResponseBean getWXCustomer(@PathVariable String openid) {
        ResponseBean responseBean = new ResponseBean();
        responseBean = iCustomerService.getWXCustomer(openid);
        return responseBean;
    }

    @RequestMapping(value = "/wx/getOpenid", method = RequestMethod.GET)
    @ApiOperation(value = "微信小程序获取 openid", notes = "微信小程序获取 openid")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "query", dataTypeClass=String.class, name = "code", value = "code"),
    })
    public ResponseBean getOpenid(@RequestParam(value = "code") String code, HttpSession session){
        ResponseBean  responseBean = iCustomerService.wxOpenid(code);
        return responseBean;
    }

}
