package com.example.wholeestate.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.wholeestate.model.Activity;
import com.example.wholeestate.model.ActivityEnroll;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * <p>
 * 活动报名表 Mapper 接口
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
public interface ActivityEnrollMapper extends BaseMapper<ActivityEnroll> {

    /**
     * 根据 活动id 查询 活动列表用户
     * @param page
     * @param activityId
     * @return
     */
    IPage<Map<String, Object>> selectPageActivityEnroll(Page page, @Param("activityId") String activityId, @Param("customerName") String customerName, @Param("customerPhone") String customerPhone);

    /**
     * 根据 openid 查询 我参加的活动
     * @param page
     * @param openid
     * @return
     */
    @Select("SELECT tac.*,tacus.phone as phone,tacus.`name` as name,tacus.customer_name as customerName,tab.building_name AS buildingName FROM ta_activity tac " +
            "RIGHT JOIN ta_activity_enroll tace ON tac.activity_id = tace.activity_id " +
            "LEFT JOIN ta_customer tacus ON tace.customer_id = tacus.customer_id " +
            "LEFT JOIN ta_building tab ON tac.building_id = tab.building_id " +
            "WHERE tacus.openid = #{openid} and tac.status > -1")
    IPage<Activity> selectOpenidActivityEnroll(Page page, @Param("openid") String openid);

}
