package com.example.wholeestate.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.example.wholeestate.model.Appointment;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 预约记录表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-03-20
 */
public interface AppointmentMapper extends BaseMapper<Appointment> {
    /**
     * 预约列表
     * @param page
     * @return
     */
//    IPage<Appendable> appendableList(Page<Appendable> page);

    @Select("SELECT " +
            "taa.*, " +
            "tab.building_name AS buildingName " +
            "FROM " +
            "ta_appointment taa " +
            "LEFT JOIN ta_building tab ON taa.building_id = tab.building_id " +
            "LEFT JOIN ta_customer tac ON taa.customer_id = tac.customer_id " +
            "WHERE tac.openid = #{openid} and taa.status = 1")
    IPage<Appointment> getOpenidAppendableList(Page<Appointment> page, @Param("openid") String openid);

    IPage<Appointment> appendableList(Page page, @Param("buildingId") String buildingId, @Param("username")String username,@Param("phone") String phone,@Param("status") String status);

}
