package com.example.wholeestate.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.wholeestate.model.Building;
import com.example.wholeestate.model.TaCollection;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 收藏表 Mapper 接口
 * </p>
 *
 * @author weiximei
 * @since 2019-03-21
 */
public interface TaCollectionMapper extends BaseMapper<TaCollection> {

    /**
     * 根据 openid 查询 收藏楼盘记录
     * @param page
     * @param openid
     * @return
     */
    @Select("SELECT " +
            "tab.* " +
            "FROM " +
            "ta_collection tac " +
            "LEFT JOIN ta_building tab ON tac.building_id = tab.building_id " +
            "LEFT JOIN ta_customer tacu ON tac.customer_id = tacu.customer_id " +
            "WHERE tacu.openid = #{openid}")
    IPage<Building> openidCollectionBuilding(Page<Building> page, @Param("openid") String openid);

    /**
     * 根据 openid 和 楼盘id 删除收藏列表
     * @param openid
     * @param buildingId
     * @return
     */
    @Delete("DELETE FROM ta_collection where customer_id = (select customer_id FROM ta_customer where openid = #{openid}) and building_id = #{buildingId}")
    int deleteCollection(@Param("openid") String openid, @Param("buildingId") String buildingId);


    /**
     * 根据 openid 和 楼盘id 查询楼盘记录
     * @param openid
     * @param buildingId
     * @return
     */
    @Select("SELECT * FROM ta_collection where customer_id = (select customer_id FROM ta_customer where openid = #{openid}) and building_id = #{buildingId}")
    TaCollection selectOpenidAndBuildingId(@Param("openid") String openid, @Param("buildingId") String buildingId);


}
