package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 预约记录表
 * </p>
 *
 * @author jobob
 * @since 2019-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_appointment")
public class Appointment implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 预约ID
     */
    private String appointmentId;

    /**
     * 楼盘ID
     */
    private String buildingId;

    /**
     * 用户ID
     */
    private String customerId;

    /**
     * 预约时间
     */
    private String appointmentDate;

    /**
     * 姓名
     */
    private String customerName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 备注
     */
    private String remark;

    /**
     * 0正常，-1删除
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 楼盘名称
     */
    @TableField(exist = false)
    private String buildingName;
    /**
     * 预约用户
     */
    @TableField(exist = false)
    private List<Character> arrayListUser;

    /**
     * 预约楼盘
     */
    @TableField(exist = false)
    private List<Building> arrayListbuilding;

    /**
     * 核销备注
     */
    private String writeoffRemark;

    /**
     * 核销时间
     */
    private LocalDateTime writeoffDate;
}
