package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 楼盘图片表
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_building_img")
public class BuildingImg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 图片ID
     */
    private String imgId;

    /**
     * 楼盘ID
     */
    private String buildingId;

    private String imgType;

    /**
     * 图片地址
     */
    private String url;

    /**
     * 排序
     */
    private Integer orderNo;

    /**
     * 0正常，-1删除
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
