package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.BuildingDynamic;

import java.util.HashMap;

/**
 * <p>
 * 项目动态表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
public interface IBuildingDynamicService extends IService<BuildingDynamic> {

    /**
     * 项目动态管理列表
     * @return
     */
    ResponseBean iBuildingDynamicList(Integer pageNum,Integer pageSize, String name, String buildingId);

    /**
     * 项目详情
     * @param id
     * @return
     */
    ResponseBean iBuildingDynamicSelectId(String id);

    /**
     * 微信小程序 项目动态管理列表
     * @return
     */
    ResponseBean getWxBuildingDynamiceList(Integer pageNum,Integer pageSize);

    /**
     * 微信小程序 项目详情
     * @param dynamicId
     * @return
     */
    ResponseBean getWxBuildingDynamiceInfo(String dynamicId);

    /**
     * 动态管理添加
     * @param map
     * @return
     */
    ResponseBean buildingDynamicAdd(HashMap map);

    /**
     * 动态删除
     * @param id
     * @return
     */
    ResponseBean buildingDynamicDelete(String id);

    /**
     * 动态修改
     * @param map
     * @return
     */
    ResponseBean buildingDynamicUpdate(HashMap<Object, Object> map);

}
